#ifndef PHYSICSMAKER_H
#define PHYSICSMAKER_H

#include "IManager.h"

using namespace Salamander;

namespace Salamander
{
	class Polygon;
	class ButtonDownEvent;
	class MotionEvent;
}

class PhysicsMaker : public IManager
{
    public:
		registerManager();
        PhysicsMaker();
        virtual ~PhysicsMaker();

        virtual bool startup();
        virtual bool shutdown();

        virtual void frame();

	private:
		void onMotionEvent(const MotionEvent& event);
		void onButtonDownEvent(const ButtonDownEvent& event);

    private:
		Sprite* sprite_;
		Polygon* polygon_;

		Vec2 mouse_;
		std::string texturename_;
		double texturesize_;
};


#endif // PHYSICSMAKER_H
